> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infercrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent key only: observe one local server as an observe-only endpoint



## OpenAPI

````yaml /openapi.json post /api/v1/agent/servers
openapi: 3.1.0
info:
  description: >-
    Durable, authenticated control-plane operations. Mutation responses may
    outlive the requesting client.
  title: InferCrane Control API
  version: 1.0.0
servers:
  - description: Local InferCrane API and gateway
    url: http://127.0.0.1:18000
security: []
tags:
  - name: Admission
  - name: Adoption
  - name: Agents
  - name: Alerts
  - name: Async inference
  - name: Audit
  - name: Autopilot
  - name: Benchmarks
  - name: Billing
  - name: Billing administration
  - name: Burst Guard
  - name: Capacity intelligence
  - name: Compute
  - name: Context Passport
  - name: Deployments
  - name: Diagnostics
  - name: Endpoints
  - name: External capacity
  - name: FinOps
  - name: Identity
  - name: Inference
  - name: Inference Lab
  - name: Inference decisions
  - name: Inference optimization
  - name: Infrastructure
  - name: Marketplace administration
  - name: Model API administration
  - name: Model APIs
  - name: Model artifacts
  - name: Model catalog
  - name: Monitoring
  - name: Notifications
  - name: Operations
  - name: Planning
  - name: Providers
  - name: Recipes
  - name: Release Guard
  - name: Release evidence
  - name: Replay
  - name: Revisions
  - name: Routing
  - name: Sandboxes
  - name: Scaling
  - name: Secrets
  - name: System
  - name: Targets
  - name: Training lineage
paths:
  /api/v1/agent/servers:
    post:
      tags:
        - Agents
      summary: 'Agent key only: observe one local server as an observe-only endpoint'
      operationId: registerAgentServer
      parameters:
        - description: >-
            Stable key used to adopt the original durable operation after
            retries or disconnects.
          in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentServerRegistration'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentServerRegistrationResponse'
          description: Created
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Typed API error
      security:
        - bearerAuth: []
components:
  schemas:
    AgentServerRegistration:
      additionalProperties: true
      properties:
        address:
          maxLength: 256
          minLength: 1
          type: string
        endpoint:
          pattern: ^[a-z0-9](?:[a-z0-9._-]{0,62}[a-z0-9])?$
          type: string
        engine:
          enum:
            - vllm
            - sglang
            - llama.cpp
            - ollama
            - lm-studio
            - openai-compatible
          type: string
        model:
          maxLength: 256
          minLength: 1
          type: string
        server_key:
          pattern: ^[a-z0-9][a-z0-9._:-]{0,127}$
          type: string
      required:
        - server_key
        - endpoint
        - model
        - engine
        - address
      type: object
    AgentServerRegistrationResponse:
      additionalProperties: true
      properties:
        created:
          type: boolean
        server:
          $ref: '#/components/schemas/AgentRegisteredServer'
      required:
        - server
        - created
      type: object
    ErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
      type: object
    AgentRegisteredServer:
      additionalProperties: true
      properties:
        endpoint:
          pattern: ^[a-z0-9](?:[a-z0-9._-]{0,62}[a-z0-9])?$
          type: string
        health:
          type: string
        key:
          pattern: ^[a-z0-9][a-z0-9._:-]{0,127}$
          type: string
        model:
          type: string
        ownership:
          type: string
        target_id:
          type: string
        traffic_detail:
          type: string
        traffic_source:
          enum:
            - none
            - agent-gateway
          type: string
      required:
        - key
        - endpoint
        - target_id
        - model
        - ownership
        - health
        - traffic_source
        - traffic_detail
      type: object
    Error:
      properties:
        category:
          type: string
        code:
          type: string
        message:
          type: string
        remediation:
          type: string
        request_id:
          type: string
        retryable:
          type: boolean
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.